using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Shockwave_VRInstance : MonoBehaviour
{
    private static Shockwave_VRInstance _instance;
    public Transform headset, leftController, rightController;
    public bool PositionComputation;
    float[] headsetPos = new float[3];//For position computation
    float[] headsetRot = new float[4];
    ShockwaveManager manager;
    public static Shockwave_VRInstance Instance
    {
        get
        {
            return _instance;
        }
    }
    void Awake()
    {
        _instance = this;
    }
    void Start()
    {
        manager = ShockwaveManager.Instance;
    }

    // Update is called once per frame
    void Update()
    {
        if (headset != null && PositionComputation)
        {
            headsetPos[0] = -headset.position.x; headsetPos[1] = headset.position.y; headsetPos[2] = headset.position.z; headsetRot[0] = headset.rotation.x; headsetRot[1] = -headset.rotation.y; headsetRot[2] = -headset.rotation.z; headsetRot[3] = headset.rotation.w;
            manager.SendHeadsetPositionQuaternion(headsetPos, headsetRot);
        }
    }
}
